<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>CSS Styling Properties and Positioning</title>
    <link rel="stylesheet" href="index.css" />
  </head>
  <body>
    <h2>CSS Common Styling</h2>

    <!-- <div> tag is a block element -->
    <div id="div-1">This is a div.</div>
    <!-- <span> tag is an inline element -->
    <span id="span-1">This is a span</span>
    <img src="https://place-puppy.com/450x450" alt="puppy" id="img" />
    <span id="span-2">This is another span</span>
    <div id="div-2">This is another div.</div>

    <h3>Notes in block, inline and inline-block</h3>

    <p id="p-1">Block takes up to the whole width by default</p>
    <p id="p-2">width 60</p>
    <p id="p-3">width 40</p>
    <p>
      Even if there is enough space, block elements do not sit next to each
      other unless if they are floated.
    </p>
    <p>
      Inline elements are things like bold and Italics. You cannot control the
      height and width of these elements.
    </p>
    <p>
      Inline-block can sit on the same line and combines block and inline
      properties
    </p>

    <div class="sample">width = 30</div>
    <div class="sample">width = 30</div>
    <div class="sample">width = 30</div>

    <hr />

    <h3>Float</h3>
    <p>The float is used for positioning and formatting</p>

    <p>
      <img
        src="https://place-puppy.com/450x450"
        alt="puppy"
        class="img-float"
      />
      Lorem ipsum dolor sit amet consectetur, adipisicing elit. Debitis non
      eligendi odit vitae, nesciunt ullam cumque. Quae dicta reiciendis placeat
      et quibusdam laboriosam quo in magni modi, sit repellendus? Pariatur
      consequatur dolor, vitae minus ipsum soluta suscipit placeat fugiat,
      assumenda dolorum laboriosam, facilis aut mollitia eaque. Cumque rerum
      nobis, ratione veniam eveniet repudiandae, laudantium at sed, nostrum
      corporis porro cupiditate magnam voluptates! Quia aliquam fugit, error
      voluptatibus consequuntur deserunt, quo facilis nisi dolor, ab temporibus
      ex illum laboriosam sit perspiciatis alias placeat natus hic tempore!
      Natus quia earum et? Ducimus id asperiores ratione quasi ea debitis
      dignissimos, maiores praesentium voluptas. Lorem ipsum dolor sit amet
      consectetur adipisicing elit. Culpa aliquam nostrum quo quam possimus
      exercitationem sunt beatae quasi temporibus dolor illum numquam, labore
      minima eos magni eaque sed debitis quae dicta deleniti esse rerum modi
      accusamus id. Totam id natus expedita fuga! Saepe deleniti inventore
      quisquam placeat ducimus quasi officiis sequi, corporis est vitae,
      doloribus, minima doloremque numquam? Vero impedit ex quasi dolores hic
      sit ab rerum, fugiat architecto vel eos eveniet! Praesentium quibusdam,
      dolorem iusto laboriosam unde, assumenda laborum harum neque ad ullam
      modi. Voluptatibus deserunt ipsum nesciunt dolore dolorem dignissimos
      porro quibusdam tenetur sit a, maiores placeat facilis aperiam maxime id
      voluptatum libero repudiandae! Tempora voluptate quia dolorem? Nisi
      doloribus voluptates dignissimos, doloremque sint saepe laborum placeat
      delectus perspiciatis rem deleniti, ad inventore error quo commodi eum
      dicta eligendi blanditiis eius fuga, facilis recusandae accusantium
      excepturi corrupti? Ad ut officia repudiandae modi rem autem velit. Fugit
      sapiente magni quae iste quis! Iure fugiat, nostrum, blanditiis accusamus
      harum tempora quam sint sapiente eligendi minus rem facere excepturi
      exercitationem impedit repellendus dolorem? Id omnis quidem recusandae
      autem labore pariatur inventore accusamus, exercitationem deserunt. Quis
      magni officia ex possimus. Facilis fugiat veritatis blanditiis iste, earum
      consequuntur soluta. Illum laboriosam officia quis.
    </p>

    <hr />

    <h3>CSS Unit</h3>

    <h4>px vs %</h4>
    <div class="box fifty-percent">50%</div>
    <div class="box one-hundred-pixels">100px</div>

    <br />

    <div class="box fifty-vw">50vw</div>
    <div class="box twenty-five-vh">25vh</div>

    <div>16px</div>
    <div class="one-rem">1rem</div>
    <div class="one-em">1em</div>
    <div class="two-rem">2rem</div>
    <div class="two-em">2em</div>

    <div class="two-hundred-percent">200%</div>

    <div class="parent">
      <div class="one-rem">1rem</div>
      <div class="one-em">1em</div>
      <div class="two-rem">2rem</div>
      <div class="two-em">2em</div>

      <div class="two-hundred-percent">200%</div>

      <div class="box fifty-percent">50%</div>
      <div class="box one-hundred-pixels">100px</div>
    </div>

    <hr />

    <section class="background">
      <div class="container-bg">
        <h3 class="bg-title">CSS Background Properties</h3>
      </div>
    </section>

    <div class="parent-element">
      Parent Element
      <div class="child-one">I'm the child one element.</div>
      <div class="child-two">All eyes on me. I'm the child of two element.</div>
      <div class="child-three">I'm the child three element.</div>
    </div>

    <hr />

    <hr />
    <h2>Z-index Example</h2>

    <p>
      An Element with greater stack order is always above an element with a
      lower stack order
    </p>

    <div class="container">
      <div class="black-box">Black Box (z-index: 1)</div>
      <div class="gray-box">Gray Box (z-index: 3)</div>
      <div class="green-box">Green Box (z-index: 2)</div>
    </div>
  </body>
</html>
